SOSREPORT need to collect OPAL msglog

Bug #1614052 reported by bugproxy on 2016-08-17
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sosreport (Ubuntu)
Undecided
Taco Screen team
Trusty
Medium
Unassigned
Xenial
Medium
Unassigned
Yakkety
Medium
Unassigned
Zesty
Medium
Unassigned

Bug Description

[SRU justification]
Required to collect OPAL message log

[Impact]
Logs are unavailable without this fix

[Fix]
Add collection of /sys/firmware/opal/msglog if it exists

[Test Case]
Run sosreport on ppc64el with :
$ sudo sosreport --batch -opowerpc

The content of /sys/firmware/opal/msglog will be collected

[~apw: we also need to test a selection of the other data is collected still to ensure we did not regress any non-opal data.]

[Regression]
None, this was not collected previously.

[Original description of the problem]
== Comment: #0 - Mukesh K. Ojha <email address hidden> - 2016-08-17 02:13:40 ==
---Problem Description---
Currently, SOSREPORT version used by 16.04.01 LTS release does not collect
OPAL log which is present in /sys/firmware/opal/msglog.

A patch has been submitted upstream(https://github.com/sosreport/sos.git) to do the above thing.

commit 1bbf9e9690e7f2a5afc234b905537daacaecb6d4
Author: Joel Stanley <email address hidden>
Date: Tue Apr 15 14:05:17 2014 +0100

    Add OPAL log to collected file list

    The OPAL console log used to live under /sys/kernel/debug/powerpc so it
    was collected as part of that glob. This patch adds the new location at
    /sys/firmware/opal/msglog to the list of collected files.

    Signed-off-by: Joel Stanley <email address hidden>
    Reviewed-by: Vasant Hegde <email address hidden>

Contact Information = Contact Information = <email address hidden>, <email address hidden>

---uname output---
Ubuntu 16.04.01 LTS

Machine Type = All power machine

---Debugger---
A debugger is not configured

---Steps to Reproduce---

root@ltctul57a-p1:/home/mukesh# sosreport

sosreport (version 3.2.0a1)

This command will collect system configuration and diagnostic
information from this Ubuntu system. An archive containing the collected
information will be generated in /tmp/sos.sj1x27eq.

For more information on Ubuntu visit:

  http://www.ubuntu.com/

The generated archive may contain data considered sensitive and its
content should be reviewed by the originating organization before being
passed to any third party.

No changes will be made to system configuration.

Press ENTER to continue, or CTRL-C to quit.

Please enter your first initial and last name [ltctul57a-p1]:
Please enter the case id that you are generating this report for []:

 Setting up archive ...
 Setting up plugins ...
 Running plugins. Please wait ...

  Running 73/73: xfs...
Creating compressed archive...

Your sosreport has been generated and saved in:
  /tmp/sosreport-ltctul57a-p1-20160810185800.tar.xz

The checksum is: 33dbfc480ebf985e4372430537339c1c

Please send this file to your support representative.

root@ltctul57a-p1:/home/mukesh#

root@ltctul57a-p1:/home/mukesh/sosreport-ltctul57a-p1-20160810185800# ls
boot dev etc hostname ip_addr lib lsmod lspci netstat ps route sos_commands sos_reports uname usr version.txt
date df free installed-debs last lsb-release lsof mount proc pstree run sos_logs sys uptime var vgdisplay
root@ltctul57a-p1:/home/mukesh/sosreport-ltctul57a-p1-20160810185800# ls sys/
bus class devices fs kernel module
root@ltctul57a-p1:/home/mukesh/sosreport-ltctul57a-p1-20160810185800#

No Firmware directory available that confirms the unavailability of OPAL msglog.

Userspace tool common name: sosreport

The userspace tool has the following bit modes: both

Userspace rpm: root@ltctul57a-p1:/home/mukesh# dpkg -l | grep sosreport ii sosreport 3.2+git276-g7da50d6-3ubuntu1 ppc64el Set of tools to gather troubleshooting data from a system

Userspace tool obtained from project website: na

*Additional Instructions for Contact Information = <email address hidden>, <email address hidden> :
-Attach ltrace and strace of userspace application.

bugproxy (bugproxy) on 2016-08-17
tags: added: architecture-ppc64le bugnameltc-145171 severity-high targetmilestone-inin16041
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → sosreport (Ubuntu)

------- Comment From <email address hidden> 2016-08-18 01:18 EDT-------
Hello Canonical,

This patches fixes issue of collecting OPAL firmware logs.. which is important for debugging PowerNV host issues. Hence can you please pull the commit mentioned in this bug to 16.04 LTS release?

Note that 16.10 contains sosreport 3.3 ..which has required fix.

-Vasant

Louis Bouchard (louis) on 2016-08-19
Changed in sosreport (Ubuntu Xenial):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Louis Bouchard (louis-bouchard)
Changed in sosreport (Ubuntu):
status: New → Fix Released
bugproxy (bugproxy) on 2016-11-17
tags: added: targetmilestone-inin16042
removed: targetmilestone-inin16041
Louis Bouchard (louis) wrote :

Version 3.3 of sosreport is in the process of being SRUed. The fix should come in the next few days.

Changed in sosreport (Ubuntu Xenial):
status: Confirmed → In Progress
Louis Bouchard (louis) on 2017-01-17
Changed in sosreport (Ubuntu Trusty):
status: New → Triaged
Changed in sosreport (Ubuntu Yakkety):
status: New → Triaged
Changed in sosreport (Ubuntu Trusty):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Xenial):
importance: High → Medium
Changed in sosreport (Ubuntu Yakkety):
importance: Undecided → Medium
description: updated
Louis Bouchard (louis) on 2017-01-17
Changed in sosreport (Ubuntu Trusty):
status: Triaged → In Progress
Changed in sosreport (Ubuntu Yakkety):
status: Triaged → In Progress
Louis Bouchard (louis) on 2017-01-17
tags: added: sts-sru
Andy Whitcroft (apw) wrote :

@Louis -- there is some chance of regression in other data collection in this update as some plugins have been updated to newer versions. I also think it makes a lot of sense for the version, format, and capabilites of sos-report to be the same in all supported releases. We do just need to do due diligence on the other data that is reported as well as the new in testing.

description: updated
Andy Whitcroft (apw) wrote :

@Louis -- I note that zesty does not yet have this change. We should be uploading this there first, and then would it not make more sense for that fixed version to be backported.

tags: added: sts-sru-needed
removed: sts-sru
Louis Bouchard (louis) on 2017-04-25
Changed in sosreport (Ubuntu Zesty):
importance: Undecided → Medium
status: New → In Progress
Changed in sosreport (Ubuntu Trusty):
assignee: nobody → Louis Bouchard (louis)
Changed in sosreport (Ubuntu Yakkety):
assignee: nobody → Louis Bouchard (louis)
Changed in sosreport (Ubuntu Zesty):
assignee: nobody → Louis Bouchard (louis)

Hello bugproxy, or anyone else affected,

Accepted sosreport into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sosreport (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in sosreport (Ubuntu Trusty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello bugproxy, or anyone else affected,

Accepted sosreport into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sosreport (Ubuntu Yakkety):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello bugproxy, or anyone else affected,

Accepted sosreport into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu16.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sosreport (Ubuntu Zesty):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello bugproxy, or anyone else affected,

Accepted sosreport into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.4-1~ubuntu17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Louis Bouchard (louis) wrote :

Hello,

could someone from the reporter team or with access to the proper hardware test the package in -proposed for the following releases ?

 - Trusty
 - Xenial
 - Yakkety
 - Zesty

This is the last bug which requires testing, hence it is holding the release of the sosreport with the requested fix.

TIA,

...Louis

------- Comment From <email address hidden> 2017-05-09 00:42 EDT-------
Hi,

Tested the package in -proposed for the following releases, OPAL msglog is collected as part of sosreport.

- Trusty
- Xenial
- Yakkety
- Zesty

Trusty:
====

root@<host>:~# cat /etc/os-release
NAME="Ubuntu"
VERSION="14.04.5 LTS, Trusty Tahr"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 14.04.5 LTS"
VERSION_ID="14.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
root@<host>:~/sosreport-<host>-20170508043935/sys/firmware/opal# ls
msglog

Xenial:
====

os-release ba1:~/sosreport-ltc-haba1-20170508065903/sys/firmware/opal# cat /etc/
NAME="Ubuntu"
VERSION="16.04.2 LTS (Xenial Xerus)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 16.04.2 LTS"
VERSION_ID="16.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
VERSION_CODENAME=xenial
UBUNTU_CODENAME=xenial

root@ltc-haba1:~/sosreport-ltc-haba1-20170508065903/sys/firmware/opal# ls
msglog

Yakkety
======

c/os-release p2:~/sosreport-<host>-20170508064040/sys/firmware/opal# cat /etc
NAME="Ubuntu"
VERSION="16.10 (Yakkety Yak)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 16.10"
VERSION_ID="16.10"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
PRIVACY_POLICY_URL="http://www.ubuntu.com/legal/terms-and-policies/privacy-policy"
VERSION_CODENAME=yakkety
UBUNTU_CODENAME=yakkety

root@<host>:~/sosreport-<host>-20170508064040/sys/firmware/opal# ls
msglog

Zesty
=====

c/os-release p2:~/sosreport-<host>-20170508054841/sys/firmware/opal# cat /etc
NAME="Ubuntu"
VERSION="17.04 (Zesty Zapus)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 17.04"
VERSION_ID="17.04"
HOME_URL="https://www.ubuntu.com/"
SUPPORT_URL="https://help.ubuntu.com/"
BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/"
PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies/privacy-policy"
VERSION_CODENAME=zesty
UBUNTU_CODENAME=zesty

root@<host>:~/sosreport-<host>-20170508054841/sys/firmware/opal# ls
msglog

Thanks,
Pavithra

Louis Bouchard (louis) on 2017-05-10
tags: added: verification-done
removed: verification-needed
Louis Bouchard (louis) on 2017-05-10
Changed in sosreport (Ubuntu Trusty):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Xenial):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Yakkety):
assignee: Louis Bouchard (louis) → nobody
Changed in sosreport (Ubuntu Zesty):
assignee: Louis Bouchard (louis) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu14.04.1

---------------
sosreport (3.4-1~ubuntu14.04.1) trusty; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:34:41 +0200

Changed in sosreport (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for sosreport has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu16.10.1

---------------
sosreport (3.4-1~ubuntu16.10.1) yakkety; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:51:14 +0200

Changed in sosreport (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu17.04.1

---------------
sosreport (3.4-1~ubuntu17.04.1) zesty; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:51:14 +0200

Changed in sosreport (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.4-1~ubuntu16.04.1

---------------
sosreport (3.4-1~ubuntu16.04.1) xenial; urgency=medium

  * Release of the current artful 3.4 version that fixes some
    specific Ubuntu issues :
    - Collection of the OPAL msglog (LP: #1614052)
    - Add ZFS sosreport plugin (LP: #1666239)
  * Ubuntu specific modifications to sosreport not yet upstream :
    - Inclusion of DEP8 tests to verify regression. This is required
      to SRU to a new major version.
    - Take into account the iscsi initiator config and logs (LP: #1605243)
    - d/p/0003-plugins-Handle-stat-errors-on-missing-files.patch:
      Properly handle os.stat() when file is missing or broken link

 -- Louis Bouchard <email address hidden> Tue, 25 Apr 2017 16:40:01 +0200

Changed in sosreport (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers